import React from "react";
export interface messageTypes {
    type: string;
    text?: string;
    author?: string;
    authorUrl?: string;
    readStatus?: boolean;
    customData?: any;
}
export interface chatDataTypes {
    moreVisible: boolean;
    inputFocus: boolean;
    defaultContainerHeight: number;
    containerHeight: number;
    moreHeight?: number;
}
export interface chatPropsTypes {
    messageList: Array<messageTypes>;
    onSendMessage: (value: string) => void;
    moreHeight?: number;
    onClickPhoto?: () => void;
    onClickImage?: (url: string) => void;
    onMoveToTop?: () => void;
    renderCustomMessage?: (item: messageTypes, key: string) => JSX.Element;
    disable?: boolean;
}
declare const Chat: React.FC<chatPropsTypes>;
export default Chat;
