"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var utils_1 = require("../../utils");
var types_1 = require("../../types");
var audiomasterSvg = __importStar(require("../../assets/audiomaster.svg"));
var audioguestSvg = __importStar(require("../../assets/audioguest.svg"));
var audiomaster = audiomasterSvg.default
    ? audiomasterSvg.default
    : audiomasterSvg;
var audioguest = audioguestSvg.default
    ? audioguestSvg.default
    : audioguestSvg;
var cs = utils_1.createCs("component-chat-audio");
var Image = function (props) {
    var type = props.type, text = props.text, avatarUrl = props.avatarUrl, readStatus = props.readStatus;
    return (React.createElement("div", { className: cs() + " " + (type === types_1.AuthorTypes.master ? cs("master") : cs("guest")) },
        type === types_1.AuthorTypes.master ? (React.createElement(React.Fragment, null,
            React.createElement("div", { className: "avatar" },
                React.createElement("img", { src: avatarUrl, alt: "" })),
            React.createElement("div", { className: "audio " + (readStatus ? "" : "audio-unread") },
                React.createElement("img", { src: audiomaster, alt: "" })))) : null,
        type === types_1.AuthorTypes.guest ? (React.createElement(React.Fragment, null,
            React.createElement("div", { className: "audio" },
                React.createElement("img", { src: audioguest, alt: "" })),
            React.createElement("div", { className: "avatar" },
                React.createElement("img", { src: avatarUrl, alt: "" })))) : null));
};
exports.default = Image;
