"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var utils_1 = require("../../utils");
var addIcon = __importStar(require("../../assets/add.svg"));
var topIcon = __importStar(require("../../assets/top.svg"));
var useState = React.useState, useRef = React.useRef, useEffect = React.useEffect;
var cs = utils_1.createCs("component-chat-input");
var IsPC = function () {
    var userAgentInfo = window.navigator.userAgent;
    var Agents = [
        "Android",
        "iPhone",
        "SymbianOS",
        "Windows Phone",
        "iPad",
        "iPod",
    ];
    var flag = true;
    for (var v = 0; v < Agents.length; v++) {
        if (userAgentInfo.indexOf(Agents[v]) > 0) {
            flag = false;
            break;
        }
    }
    return flag;
};
var Input = function (props) {
    var inputContainerRef = useRef();
    var inputRef = useRef();
    var onClickMore = props.onClickMore, chatData = props.chatData, onFocus = props.onFocus, onBlur = props.onBlur, onSendMessage = props.onSendMessage;
    var moreVisible = chatData.moreVisible;
    var _a = useState(""), inputValue = _a[0], setInputValue = _a[1];
    var onTouchSend = function () {
        onSendMessage(inputValue);
        setInputValue("");
        inputRef.current.innerHTML = "";
        inputRef.current.blur();
    };
    var onClickSend = function () {
        if (IsPC()) {
            onTouchSend();
        }
    };
    var onChangeInput = function (e) {
        // setInputValue(inputRef.current.innerHTML);
        setInputValue(e.currentTarget.textContent);
    };
    useEffect(function () {
        inputContainerRef.current.addEventListener("touchmove", function (e) {
            e.preventDefault();
        }, false);
    }, []);
    return (React.createElement("div", { className: cs(), ref: inputContainerRef },
        React.createElement("div", { className: cs("container") },
            React.createElement("pre", { id: "testInput", ref: inputRef, contentEditable: true, className: cs("container-input"), onFocus: onFocus, onBlur: onBlur, onInput: onChangeInput }),
            React.createElement("i", { className: cs("container-send") + " " + (inputValue.length > 0 ? cs("container-send-show") : "") },
                React.createElement("img", { src: topIcon.default ? topIcon.default : topIcon, alt: "", onTouchEnd: onTouchSend, onClick: onClickSend }))),
        React.createElement("div", { className: cs("more") },
            React.createElement("img", { src: addIcon.default ? addIcon.default : addIcon, alt: "", onClick: function () { return onClickMore(!moreVisible); } }))));
};
exports.default = Input;
