declare const createCs: (prefix: string) => (suffix?: string) => string;
declare type Procedure = (...args: any[]) => void;
declare type Options = {
    isImmediate: boolean;
};
declare function debounce<F extends Procedure>(func: F, waitMilliseconds?: number, options?: Options): (this: ThisParameterType<F>, ...args: Parameters<F>) => void;
export { createCs, debounce };
